For the complete documentation index, see llms.txt. This page is also available as Markdown.

Supported PostgreSQL versions of cluster

Retrieves a list of all PostgreSQL versions available for this cluster.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Responses
200

Successful operation.

application/json

List of PostgreSQL versions.

get/clusters/{clusterId}/versions
GET /databases/postgresql/clusters/{clusterId}/versions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "data": [
    {
      "name": "14"
    }
  ]
}

Last updated

Was this helpful?